Bug 636557 - Uninformative prompt for root password to install untrusted packages
Uninformative prompt for root password to install untrusted packages
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-packagekit (Show other bugs)
14
All Linux
low Severity medium
: ---
: ---
Assigned To: Richard Hughes
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-09-22 10:39 EDT by Daniel Berrange
Modified: 2012-08-16 15:55 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 15:55:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Screenshot demonstrating the issue (330.17 KB, image/png)
2011-06-03 08:36 EDT, Daniel Berrange
no flags Details

  None (edit)
Description Daniel Berrange 2010-09-22 10:39:06 EDT
Description of problem:
When doing a software update with gnome-packagekit, I was shown a dialog saying

 "The software is not from a trusted source. Do not update this package unless you are sure it is safe todo so.... Password for root:..."

This message does not give me sufficient information to decide whether I should enter my root password to allow the install to continue or not.

At a minimum I wish to know 'Which package NEVR ?' and 'Which repository?'.  If this is an existing package that's being upgraded, I also wish to know whether the currently installed package comes from the same repository, and whether the current package is signed. ie, if a current signed package is about to be updated with an unsigned one, I really want to know about that.

By good fortune in this case there was only 1 package being updated, so I could look at the previous packagekit dialog to see the cause. I still couldn't tell what repo it came from, or whether the previous version was signed. I had to switch to the command line and run 'yum' manually to determine whether everything was safe to update.


Version-Release number of selected component (if applicable):
gnome-packagekit-2.30.3-1.fc13.x86_64

How reproducible:
Sometimes

Steps to Reproduce:
1. Add a custom repo to /etc/yum.repos.d
2. Populate the repo with newer versions of some core Fedora packages, but without a signature.
3. Let package kit update run
  
Actual results:


Expected results:


Additional info:
Comment 1 Bug Zapper 2011-05-31 08:51:39 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Daniel Berrange 2011-06-03 08:33:41 EDT
Fedora 14 still doesn't provide enough informative data on which to make the authentication decision.
Comment 3 Daniel Berrange 2011-06-03 08:36:31 EDT
Created attachment 502803 [details]
Screenshot demonstrating the issue

From the info provided in these two dialog boxes I cannot determine which packages are 'untrusted', nor what aspect of them makes PK consider them untrusted. In this case is it firefox4 which is not trusted because it comes from a 3rd party repo and isn't gpg signed, but PK doesn't seem to be able to tell me that.
Comment 4 Fedora End Of Life 2012-08-16 15:55:54 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.